Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.FillSignObject Class Reference
Inheritance diagram for com.foxit.sdk.pdf.FillSignObject:

## Public Member Functions
| FillSignObject ()
| Constructor.
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | generateContent () throws com.foxit.sdk.PDFException
| Generate content for current fill-sign object. More...
RectF | getRect () throws com.foxit.sdk.PDFException
| Get rectangle, in PDF coordinate system. More...
int | getType () throws com.foxit.sdk.PDFException
| Get fill-sign type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | move (PointF point, float width, float height, int rotation) throws com.foxit.sdk.PDFException
| Move current fill-sign object. More...

## Detailed Description

Class FillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Constructor & Destructor Documentation

## ◆ FillSignObject()

com.foxit.sdk.pdf.FillSignObject.FillSignObject | ( | FillSignObject | other | ) |

Constructor, with another fill-sign object.

Parameters

  [in] | other | Another fill-sign object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.FillSignObject.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

Reimplemented in com.foxit.sdk.pdf.SignatureFillSignObject, and com.foxit.sdk.pdf.TextFillSignObject.

## ◆ generateContent()

boolean com.foxit.sdk.pdf.FillSignObject.generateContent | ( |  | ) | throws com.foxit.sdk.PDFException

Generate content for current fill-sign object.

For fill-sign object with type com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeSignature or com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeInitialsSignature , function SignatureFillSignObject.setBitmap should be called first.

Returns
  true means success, while false means failure.

## ◆ getRect()

RectF com.foxit.sdk.pdf.FillSignObject.getRect | ( |  | ) | throws com.foxit.sdk.PDFException

Get rectangle, in PDF coordinate system.

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ getType()

int com.foxit.sdk.pdf.FillSignObject.getType | ( |  | ) | throws com.foxit.sdk.PDFException

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeText and this would be one of these values.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.FillSignObject.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ move()

void com.foxit.sdk.pdf.FillSignObject.move | ( | PointF | point,
|  | float | width,
|  | float | height,
|  | int | rotation
| ) |  | throws com.foxit.sdk.PDFException

Move current fill-sign object.

- If to add a fill-sign object with type com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeCrossMark , com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeCheckMark , com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeLine or com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeDot , the bigger value of input width and height will be used as both width and height as the moving result.
- If to move a fill-sign object with type com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeLine , input height is useless and will be ignored.
- This function does not support to move a fill-sign object with com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeSignature or com.foxit.sdk.pdf.FillSign.e_FillSignObjectTypeInitialsSignature . For this case, exception will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in PDF coordinate system.
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values except com.foxit.sdk.common.Constants.e_RotationUnknown .

Returns
  None.